#ifndef VY_JOBS_H
#define VY_JOBS_H

/* Work stealing job scheduler */

#include "runtime.h"

#include <stdint.h>

typedef void vy_job_fn(void *param, uint32_t iteration);

typedef struct {
    uint32_t iterations;
    vy_job_fn *fn;
    void *param;
} vy_job_decl;

VY_DLLEXPORT void vyDispatchJob(const vy_job_decl *decl);

#endif
